<template>
  <div class="node" v-if="nodeLoaded">

    <editable-zone :register="[{ node: currentNode, path: ['title'] }, { node: currentNode, path: ['body'] }]" title="Content">
      <editable-textfield :node="currentNode" :path="['title']"></editable-textfield>
      <editable-textfield :node="currentNode" :path="['body']"></editable-textfield>
    </editable-zone>

  </div>
</template>

<script>
// import Vue from 'vue'

import { toTitle } from '@/utils/tools'

// import { mapGetters, mapActions } from 'vuex'

// import NodeByPath from '@/mixins/NodeByPath'

import { NodeByPathMixin } from 'y3ti-i3'

export default {
  mixins: [NodeByPathMixin],

  components: {
  },

  props: {
    path: {
      type: String,
      required: true
    },
    isNew: {
      type: Boolean,
      required: false,
      default: false
    }
  },

  metaInfo () {
    return {
      title: toTitle(this.currentNode.title)
    }
  },

  data () {
    return {
    }
  },

  methods: {
  },

  created () {
    console.log('testttt')
    this.getCurrentNode()
  }
}
</script>

<style lang="scss" scoped>
</style>
